import { UmbLitElement } from '../../../../core/lit-element/index.js';
export declare class UmbMemberWorkspaceEditorElement extends UmbLitElement {
    #private;
    private _splitViewElement;
    private _isForbidden;
    private _routes?;
    constructor();
    private _gotWorkspaceRoute;
    render(): "" | import("lit-html").TemplateResult<1>;
    static styles: import("lit").CSSResult[];
}
export default UmbMemberWorkspaceEditorElement;
declare global {
    interface HTMLElementTagNameMap {
        'umb-member-workspace-editor': UmbMemberWorkspaceEditorElement;
    }
}
